/*
Theme Name: Vara Child
Theme URI: http://gradastudio.com/vara
Description: This is a child theme of Vara.
Author: GradaStudio
Author URI: https://themeforest.net/user/gradastudio
Template: vara
Version: 1.0.0
*/

/**
 * General
 */

ul li {
    margin-bottom: 0.5rem;
}

.grecaptcha-badge {
	visibility: hidden;
}

/*tweak default animations*/
.animated-extra-slow .animated.animated-slow {
	-webkit-animation-duration: calc(0.9s) !important;
	animation-duration: calc(0.9s) !important;
}

.flip-vertical .elementor-divider-separator {
	transform: rotate(-90deg);
	-webkit-transform: rotate(-90deg);
  -moz-transform: rotate(-90deg);	 
	-ms-transform: rotate(-90deg);
  -o-transform: rotate(-90deg);
}

/*intialize styles*/
.wh-100 {
	width: 100%;
	height: 100%;
}

.wh-100 * {
	width: inherit;
	height: inherit;
}

.parallax-bcg {
	background-attachment: fixed !important;
}

.pointer-none {
	pointer-events: none;
}

.play-audio-button {
	cursor: pointer;
}

.custom-icon-list ul {
	padding-left: 0;
}

.custom-icon-list li {
	list-style: none;
}

.custom-icon-list li:before {
    content: "";
    display: inline-block;
    width: 17px;
    height: 17px;
    background: var(--e-global-color-accent);
    position: absolute;
    left: -50px;
	margin-top: 6px;
}









/**
 * Header
 */

.site-main-menu.sticky-menu {
	position: fixed;	
}

.menu-navigation-regular ul li.menu-item.current-menu-item > a:after {
	color: #fcc300;
}

/*top bar*/
.top-bar.elementor-section {
	position: fixed;
    width: 100%;
}

.top-bar .d-flex {
	justify-content: center;
}

.top-bar .elementor-icon-box-title span,
.top-bar .elementor-icon path {
	color: #fff !important;
	fill: #fff !important;
}







/**
 * Footer
 */

.gs-site-footer .row > div {
	flex: 0 0 25%;
	max-width: 25%;
}

.gs-site-footer .row > div:first-child {
	flex: 0 0 50%;
	max-width: 50%;
	padding-right: 15%;
}

.gs-site-footer .wpcf7-acceptance .wpcf7-list-item {
	margin: 0 0 10px 0;
}

.gs-site-footer .wpcf7-acceptance input {
	margin-left: 0;
}

.gs-subscribe button {
	border: none;
}





/**
 * Icon boxes
 */

.negative-ma .elementor-icon {
	margin-top: -15px !important;
} 

.d-flex .elementor-icon-box-icon {
	display: flex;
}

.icon-box_button {
	/*background: #FCC300;
	padding: 10px 20px 10px 30px;*/
	padding-left: 70px;
}






/**
 * Contact forms
 */

.wpcf7-acceptance span {
	margin-left: 0;
}

input[type="submit"], button, .button {
	text-transform: none;
}

/*responses*/
.wpcf7 form .wpcf7-response-output {
	margin: 15px 0 0 0;
	padding: 0;
	border: none;
	color: #fcc300;
}

/*popup subscibe*/
#popmake-3113 .wpcf7-acceptance label {
    margin-bottom: 25px !important;
}

html.pum-open.pum-open-overlay.pum-open-scrollable body>[aria-hidden] {
    padding-right: 0 !important;
}

/* contact page */
.page-id-701 .wpcf7 .medium-pb p {
	margin-bottom: 0;
}




/**
 * Gallery
 */

@media only screen and (min-width: 1025px) {
	.product-gallery {
		width: calc(2*65vw) !important;
		right: 15vw;
		left: -15vw !important;
	}

	.product-gallery .owl-carousel .owl-nav button.owl-prev {
		left: 15vw !important;
	}

	.product-gallery .owl-carousel .owl-nav button.owl-next {
		right: 15vw !important;
	}

}






/**
 * Custom toggle
 */

.custom-toggle .elementor-tab-title {
	display: flex;
	justify-content: center;
}

.custom-toggle .elementor-tab-title .elementor-toggle-icon {
	position: absolute;
	right: 40px;
}





/**
 * Portfolio
 */

/*single portfolio page*/
.gs-portfolio-single-item .gs-portfolio-single-info ul li > ul li:before {
	content: "";
	min-width: 22px;
	height: 22px;
	background: url(/wp-content/uploads/2021/04/CDJ-puscica_yellow.svg);
	background-size: contain;
	margin-right: 7px;
	display: inline-block;
}

.gs-portfolio-single-item .gs-portfolio-single-info ul li > ul li {
	display: flex;
	margin-bottom: 10px;
}

.gs-portfolio-single-item .gs-portfolio-single-info ul li > ul li:last-child {
	margin-bottom: 0;
}


/*portfolios list*/
.gs-portfolio-item--meta-overlay .entry-overlay-wrapper .entry-details > a {
	z-index: 10;
}






/**
 * Blog posts
 */

.single-post h2,
.single-post h3,
.single-post h4 {
	font-weight: 700;
    color: #414042;
}

.single-post h2:not(.entry-details-title) {
    font-size: 2.4rem;
	margin-top: 45px;
}

.single-post h2.entry-details-title {
	font-size: 3.33rem;
	font-weight: 700;
	color: #fcc300;
}

.gs-blog-post-single-holder .entry-content-inner p {
    margin-bottom: 20px;
}

.elementor-kit-2231 .entry-meta-category a {
	color: #7a7a7a;
}

.gs-post-nav .post-nav-link a .gs-post-nav-text .gs-post-nav-title {
    font-family: "DM Sans", serif;
}

/*featured on hp*/
.featured-posts .entry-details__inner h4,
.featured-posts .entry-details__inner p {
    padding-right: 20px;
}







/**
 * Products list
 */

.products-list .elementor-image-box-content {
	display: flex;
	flex-direction: column-reverse;
}

.products-list .elementor-image-box-description {
	margin-bottom: 10px;
}





/**
 * Product categories list on hp
 */

.custom-spacer {
	height: 450px;
	width:  100%;
}







/**
 * New product popup
 */

.bcg-wrapper {
	height: 350px;
    background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	background-image: url(/wp-content/uploads/2021/08/CDJ-sol-nad-G2.jpg);
}

.new-badge {
	background: #FCC300;
    border-radius: 50%;
	height: 130px;
    width: 130px;
	
    position: absolute;
    top: 250px;
    right: 40px;
    
    display: flex;
    justify-content: center;
    align-items: center;
}

.new-badge p {
	margin: 0;
    max-width: 70%;
    color: #ffff;
    text-align: center;
    font-weight: 700;
    font-size: 18px;
    text-transform: uppercase;
}

.popup-content {
	color: #414042;
	text-align: center;
	font-weight: 700;
	padding: 40px 40px 20px;
}

.popup-content h2,
.popup-content h3 {
	color: #FCC300;
	font-weight: 700;
}

.elementor-kit-2231 .popup-content h2 {
	font-size: 34px;
	margin-top: 20px;
}

.elementor-kit-2231 .popup-content h3 {
	font-size: 18px;
	line-height: 1.5em;
	max-width: 370px;
	margin: 0 auto 40px;
}

.popup-content button {
	background: #414042;
}

@media only screen and (max-width: 768px) {
	.bcg-wrapper {
		height: 200px;
	}
	
	.new-badge {
		top: 100px;
		right: 10px;
		width: 120px;
		height: 120px;
	}
	
	.new-badge p {
		max-width: 100%;
		font-size: 16px;
	}
	
	.popup-content {
		padding: 30px 30px 10px;
	}
}






/**
 * Responsivness
 */

/**/
@media only screen and (max-width: 1024px) {
	/*custom spacer*/
	.custom-spacer {
		height: 40vh;
	}
	
	.gs-blog-wrapper.large-pt,
	.gs-blog-post-single.large-pt {
		padding-top: 0;
	}
	
	/*footer*/
	.gs-site-footer .footer-widgetized-area {
		padding: 0;
	}
	
	/*portfolio*/
	.portfolio-info {
		display: flex;
		flex-direction: column-reverse;
	}
	
	#portfolio .elementor-element .isotope-container  article.type-portfolio.iso-item {
		position: static !important;
		margin-bottom: 20px !important;
	}
	
} 


/*only mobile*/
@media only screen and (max-width: 767px) {
	/*header*/
	.mobile-nav-menu nav ul.menu li.menu-item.menu-item-has-children ul.sub-menu {
		padding-left: 0;
	}
	
	.mobile-nav-menu {
		margin-top: 10px;
	}
	
	/*popup*/
	#popmake-2535 {
		width: 85% !important;
	}
	
	#pum-2535 {
		padding: 30px 0 !important;
	}
	
	/*custom spacer*/
	.custom-spacer {
		height: 30vh;
	}
	
	/*custom toggle*/
	.custom-toggle .elementor-tab-title {
		justify-content: space-between;
	}
	
	.custom-toggle .elementor-tab-title a {
		padding-right: 24px;
		line-height: 1.2em;
	}
	
	.custom-toggle .elementor-tab-title .elementor-toggle-icon {
		right: 20px;
	}
	
	/*custom list*/
	.custom-icon-list li {
		padding-left: 25px;
	} 
	
	.custom-icon-list li:before {
		left: 0;
	}
	
	/*carousel*/
	.owl-carousel .owl-dots {
		padding-top: 20px;
	}
	
	/*product page*/
	.wh-100 {
		height: 400px;
	}
	
	.product-nav .elementor-widget-container {
		width: 100%;
	}
	
	.product-nav .elementor-icon-box-icon {
		width: 20%;
	}
	
	.product-nav .elementor-icon-box-content {
		width: 80%;
		display: flex;
		align-items: center;
		justify-content: center;
		text-align: center;
	}
	
	
	/*layouts*/
	.w-50.elementor-widget__width-auto {
		width: 50% !important;
	}
	
	
	/*icon boxes*/	
	.d-flex.row-reverse .elementor-icon-box-wrapper {
		display: flex !important;
		justify-content: center;
		align-items: center !important;
		flex-direction: row-reverse !important;
	}
	
	body .row-reverse .elementor-icon-box-icon {
		display: flex !important;
		align-items: center;
		margin: 0 0 0 15px !important;
	}
	
	.align-center .elementor-icon-box-wrapper {
		align-items: center;
	}
		
	
	/*footer*/
	.gs-site-footer .row > div:first-child {
		flex: 0 0 100%;
		max-width: 100%;
	}
	
	.gs-site-footer .row > div:nth-child(2) {
		flex: 0 0 55%;
		max-width: 55%;
		padding-right: 0;
	}

	.gs-site-footer .row > div:last-child {
		flex: 0 0 45%;
		max-width: 45%;
	}
	
	.gs-site-footer .subfooter-area .subfooter-area-inner .subfooter-coypright-text {
		text-align: left;
	}
	




}